Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.sametime
Interface ISametimeFriend

All Superinterfaces:
  IFriend, IItem, java.io.Serializable

public interface ISametimeFriend
extends IFriend

Interface provides Sametime specific extension to `IFriend`. It provides a mechanism for identifying friend's domain and community. It also provides a way to identify Sametime-native friends vs. AOL Instant Messenger friends.

Field Summary
`static java.lang.String` | `AIM_DOMAIN` Name of the domain assigned to all AOL Instant Messenger buddies
`static ItemClass` | `CLASS` The ItemClass that represents a collab message.
`static Key` | `COMMUNITY` Key that represents the instant messaging friend 'community' property.
`static Key` | `DOMAIN` Key that represents the instant messaging friend 'domain' property.
`static Key` | `NATIVE` Key that represents the instant messaging friend 'native' property.

Fields inherited from interface com.compoze.collab.im.IFriend
`STATUS, URI, USERNAME`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getCommunity()` Gets user community name
`java.lang.String` | `getDomain()` Gets user's domain name.
`boolean` | `isSametimeNative()` Indicates whether the user is a Sametime-native friend.

Methods inherited from interface com.compoze.collab.im.IFriend
`getStatus, getUri, getUsername, isTyping, sendTypingStatus, setUri, setUsername`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### COMMUNITY

    public static final Key COMMUNITY

  Key that represents the instant messaging friend 'community' property.

### DOMAIN

    public static final Key DOMAIN

  Key that represents the instant messaging friend 'domain' property.

### NATIVE

    public static final Key NATIVE

  Key that represents the instant messaging friend 'native' property.

### CLASS

    public static final ItemClass CLASS

  The ItemClass that represents a collab message.

### AIM_DOMAIN

    public static final java.lang.String AIM_DOMAIN

  Name of the domain assigned to all AOL Instant Messenger buddies

Method Detail

### getCommunity

    public java.lang.String getCommunity()
                                  throws CollaborationException

  Gets user community name
  Returns:
    user community name, `null` if user is not associated with a community or no community information was provided by the Sametime server.
  Throws:
    `CollaborationException` - if an error occured while retrieving community name

### getDomain

    public java.lang.String getDomain()
                               throws CollaborationException

  Gets user's domain name.
  Returns:
    user's domain name, `null` if no domain information was provided by Sametime for this user, or `AIM_DOMAIN` if the user is an AOL Instant Messenger friend.
  Throws:
    `CollaborationException` - if an error occured while retrieving domain name

### isSametimeNative

    public boolean isSametimeNative()
                             throws CollaborationException

  Indicates whether the user is a Sametime-native friend. Currently, Sametime supports only one non-native protocol -- AOL Instant Messaging. Therefore, currently, this method will only return `false` for AIM friends.
  Returns:
    `true` if this friend is native to Sametime, `false` if this friend is an AOL Instant Messaging friend.
  Throws:
    `CollaborationException` - if there was an error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.